%define major 5
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Open client for Cisco AnyConnect VPN
Name:		openconnect
Version:	7.06
Release:	1
License:	LGPLv2.1+
Group:		Networking/Other
Url:		http://www.infradead.org/openconnect.html
Source0:	ftp://ftp.infradead.org:21/pub/openconnect/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libxml-2.0)
# our version 1.0.0e of OpenSSL is known to be broken with Cisco DTLS.
BuildRequires:	pkgconfig(openssl)
BuildRequires:	vpnc

%description
This package provides a client for Cisco's "AnyConnect" VPN, which uses
HTTPS and DTLS protocols.

%files -f %{name}.lang
%doc TODO COPYING.LGPL
%{_sbindir}/%{name}
%{_mandir}/man8/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Dynamic libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared library for %{name}.

%files -n %{libname}
%{_libdir}/libopenconnect.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the development files for %{name}.

%files -n %{devname}
%{_includedir}/openconnect.h
%{_libdir}/libopenconnect.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--with-vpnc-script=/etc/vpnc/vpnc-script
%make

%install
%makeinstall_std

%find_lang %{name}


%changelog

* Tue Sep 08 2015 Denis Silakov <denis.silakov@rosalab.ru> 7.06-1
- (3fe317c) Updated to 7.06


